#### Previous topic

scipy.special.riccati_yn

#### Next topic

scipy.special.modstruve

# scipy.special.struve

`scipy.special.``struve`(v, x) = <ufunc 'struve'>

  Struve function.

  Return the value of the Struve function of order v at x. The Struve function is defined as,

  \[H_v(x) = (z/2)^{v + 1} \sum_{n=0}^\infty \frac{(-1)^n (z/2)^{2n}}{\Gamma(n + \frac{3}{2}) \Gamma(n + v + \frac{3}{2})},\]

  where \(\Gamma\) is the gamma function.

  Parameters:

  v : array_like

  > Order of the Struve function (float).

  x : array_like

  > Argument of the Struve function (float; must be positive unless v is an integer).

  Returns:

  H : ndarray

  > Value of the Struve function of order v at x.

  See also

  `modstruve`

  Notes

  Three methods discussed in [R505] are used to evaluate the Struve function:

  - power series
  - expansion in Bessel functions (if \(|z| < |v| + 20\))
  - asymptotic large-z expansion (if \(z \geq 0.7v + 12\))

  Rounding errors are estimated based on the largest terms in the sums, and the result associated with the smallest error is returned.

  References

  [R505] | (1, 2) NIST Digital Library of Mathematical Functions http://dlmf.nist.gov/11